import { Observable } from 'rxjs';
import { Settings, SystemConnection } from '../models';
/**
 * DrupalConstants singleton design pattern of the required settings and user connection.
 */
export declare class DrupalConstants {
    /**
     * Singleton instance.
     * didn't understand it ? Oh come on!.
     */
    private static instance;
    /**
     * private variables for set and get.
     */
    private settings;
    private connection;
    constructor();
    /**
     * handle offline error messages
     * @param err (optional) the error of the http request
     */
    handleOffline: (err?: any) => Observable<any>;
    static readonly Instance: DrupalConstants;
    /**
     * Handeling the case when user didn't implement the back-end settings and return the settings instance
     */
    /**
    * Set the settings instanse on application init.
    * you can also do that at the runtime, Thanks to Singleton design pattern <3 !
    */
    static Settings: Settings;
    /**
     * the full backend url for current user settings
     */
    static readonly backEndUrl: string;
    /**
     * Application back-end rest api url.
     */
    static readonly restUrl: string;
    /**
     * Updating connection instanse after login or rightaway after openning the connection
     */
    /**
    * get the connection instance
    */
    static Connection: SystemConnection;
}
