import { Observable } from 'rxjs';
import { MainService } from '../main/main.service';
import { SystemConnection } from '../models/system';
/**
 * facebook oauth service
 * @see https://www.drupal.org/project/services_fboauth
 * @see BACK_END/admin/structure/services/list/END_POINT/resources for more details
 */
export declare class FacebookOAuthService extends MainService {
    entityType: string;
    /**
     * if there is already a token in the browser cookies and it is not expired it returns
     * this will fetch a new token before trying to connect
     * @param accessToken string of the recieved access token
     * @return observable of the connect method
     * the subscription data is an object of SystemConnection interface
     */
    connect(accessToken: string): Observable<SystemConnection>;
}
