import { Observable } from 'rxjs';
import { MainService } from '../main/main.service';
import { PushNotifications, PushResponse } from '../models/push-notifications';
/**
 * view service for drupal using push_notifications module
 * @see https://www.drupal.org/project/push_notifications
 */
export declare class PushNotificationsSerivce extends MainService {
    entityType: string;
    /**
     * create/register new device with a token
     * @param pushNotifications notification object to register
     */
    create(pushNotifications: PushNotifications): Observable<PushResponse>;
    /**
     * delete a subscription by device token
     * @param token token of the device to be deleted
     */
    delete_push(token: string): Observable<PushResponse>;
}
